Data Migration Tool fails if JRE is greater than 8_up71

Scenario: Data Migration Tool is used to migrate content from Business Studio to EMSDB fails if JRE version is greater than java 8 update 71.

The error returned is not much exhaustive as it says that BSS service is not running although the service is up and the connection to BSS database worked fine.

Solution: On the BSS server machine, make sure there is JRE version older than java 8 update 71.